package com.rjconsultores.ventaboletos.vo.pricing;

import java.io.Serializable;
import java.math.BigDecimal;

public class GP_PricingRevisaoValoresVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String origem;
	private String destino;
	private String classeServico;
	private BigDecimal precioAtual;
	private BigDecimal tarifaAtual;
	private BigDecimal taxaEmbarque;
	private BigDecimal pedagio;
	private BigDecimal seguro;
	private BigDecimal outros;
	private String desconto;
	private BigDecimal precoComPricing;
	private BigDecimal tarifaComPricing;
	private String ocupacao;
	private String antecipacao;

	public String getOrigem() {
		return origem;
	}

	public void setOrigem(String origem) {
		this.origem = origem;
	}

	public String getDestino() {
		return destino;
	}

	public void setDestino(String destino) {
		this.destino = destino;
	}

	public String getClasseServico() {
		return classeServico;
	}

	public void setClasseServico(String classeServico) {
		this.classeServico = classeServico;
	}

	public BigDecimal getPrecioAtual() {
		return precioAtual;
	}

	public void setPrecioAtual(BigDecimal precioAtual) {
		this.precioAtual = precioAtual;
	}

	public BigDecimal getTarifaAtual() {
		return tarifaAtual;
	}

	public void setTarifaAtual(BigDecimal tarifaAtual) {
		this.tarifaAtual = tarifaAtual;
	}

	public BigDecimal getTaxaEmbarque() {
		return taxaEmbarque;
	}

	public void setTaxaEmbarque(BigDecimal taxaEmbarque) {
		this.taxaEmbarque = taxaEmbarque;
	}

	public BigDecimal getPedagio() {
		if(pedagio == null) {
			pedagio = BigDecimal.ZERO;
		}
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getSeguro() {
		if(seguro == null) {
			seguro = BigDecimal.ZERO;
		}
		return seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public BigDecimal getOutros() {
		if(outros == null) {
			outros = BigDecimal.ZERO;
		}
		return outros;
	}

	public void setOutros(BigDecimal outros) {
		this.outros = outros;
	}

	public String getDesconto() {
		return desconto;
	}

	public void setDesconto(String desconto) {
		this.desconto = desconto;
	}

	public BigDecimal getPrecoComPricing() {
		if(tarifaComPricing != null) {
			precoComPricing = tarifaComPricing.add(this.getPedagio()).add(this.getSeguro()).add(this.getOutros());
		}
		return precoComPricing;
	}

	public void setPrecoComPricing(BigDecimal precoComPricing) {
		this.precoComPricing = precoComPricing;
	}

	public BigDecimal getTarifaComPricing() {
		return tarifaComPricing;
	}

	public void setTarifaComPricing(BigDecimal tarifaComPricing) {
		this.tarifaComPricing = tarifaComPricing;
	}

	public String getOcupacao() {
		return ocupacao;
	}

	public void setOcupacao(String ocupacao) {
		this.ocupacao = ocupacao;
	}

	public String getAntecipacao() {
		return antecipacao;
	}

	public void setAntecipacao(String antecipacao) {
		this.antecipacao = antecipacao;
	}

	public GP_PricingRevisaoValoresVO() {
		super();
	}

	public GP_PricingRevisaoValoresVO(GP_PricingRevisaoValoresVO other) {
		super();
		this.origem = other.getOrigem();
		this.destino = other.getDestino();
		this.classeServico = other.getClasseServico();
		this.precioAtual = other.getPrecioAtual();
		this.tarifaAtual = other.getTarifaAtual();
		this.taxaEmbarque = other.getTaxaEmbarque();
		this.pedagio = other.getPedagio();
		this.seguro = other.getSeguro();
		this.outros = other.getOutros();
		this.desconto = other.getDesconto();
		this.precoComPricing = other.getPrecoComPricing();
		this.tarifaComPricing = other.getTarifaComPricing();
		this.ocupacao = other.getOcupacao();
		this.antecipacao = other.getAntecipacao();
	}

}
